Summary:	User & Group administration tools for Samba-OpenLDAP
Name: 		smbldap-tools
Version: 	0.9.2
Release: 	%mkrel 4
Group: 		System/Servers
License: 	GPL
URL:		http://sourceforge.net/projects/smbldap-tools/
Source0: 	smbldap-tools-%{version}.tar.bz2
Source1: 	mkntpwd.tar.bz2
Patch:		smbldap-tools-0.9.1-mdkconfig.patch
# http://qa.mandriva.com/show_bug.cgi?id=23921
Patch1:		smbldap-tools-0.9.2-accountOC.patch
Patch2:         smbldap-tools-0.9.2-nogecosfordisplayname.patch
Requires:	perl-IO-Socket-SSL
BuildRequires:	perl-doc
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Smbldap-tools is a set of perl scripts written by Idealx. Those scripts are
designed to help managing users and groups in a ldap directory server and
can be used both by users and administrators of Linux systems:
. users can change their password in a way similar to the standard
  "passwd" command,
. administrators can perform users and groups management

Scripts are described in the Smbldap-tools User Manual
(http://samba.idealx.org/smbldap-tools.en.html) which also give command
line examples.
You can download the latest version on Idealx web site
(http://samba.idealx.org/dist/).
Comments and/or questions can be sent to the smbldap-tools mailing list
(http://lists.idealx.org/lists/samba).

%prep

%setup -q -a1
%patch -p1 -b .mdkconf
%patch1 -p1
%patch2 -p1

# nuke that IDEALX stuff from the code
for i in `find -type f`; do
    perl -pi -e "s|/etc/opt/IDEALX/smbldap-tools/|%{_sysconfdir}/smbldap-tools/|g; \
    s|/opt/IDEALX/bin:||g; \
    s|/opt/IDEALX/sbin|%{_sbindir}|g" $i
done

%build
%serverbuild

pushd mkntpwd
%make CFLAGS="$CFLAGS"
popd

# make some manpages
for i in smbldap-groupadd smbldap-groupdel smbldap-groupmod smbldap-groupshow smbldap-passwd \
    smbldap-populate smbldap-useradd smbldap-userdel smbldap-userinfo smbldap-usermod smbldap-usershow; do
    perldoc $i > $i.1
done

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/smbldap-tools
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{perl_vendorlib}
install -d %{buildroot}%{_mandir}/man1

install -m0644 smbldap.conf %{buildroot}%{_sysconfdir}/smbldap-tools/
install -m0644 smbldap_bind.conf %{buildroot}%{_sysconfdir}/smbldap-tools/
install -m0644 smbldap_tools.pm %{buildroot}%{perl_vendorlib}/

install -m0755 smbldap-groupadd %{buildroot}%{_sbindir}/
install -m0755 smbldap-groupdel %{buildroot}%{_sbindir}/
install -m0755 smbldap-groupmod %{buildroot}%{_sbindir}/
install -m0755 smbldap-groupshow %{buildroot}%{_sbindir}/
install -m0755 smbldap-passwd %{buildroot}%{_sbindir}/
install -m0755 smbldap-populate %{buildroot}%{_sbindir}/
install -m0755 smbldap-useradd %{buildroot}%{_sbindir}/
install -m0755 smbldap-userdel %{buildroot}%{_sbindir}/
install -m0755 smbldap-userinfo %{buildroot}%{_sbindir}/
install -m0755 smbldap-usermod %{buildroot}%{_sbindir}/
install -m0755 smbldap-usershow %{buildroot}%{_sbindir}/
install -m0755 mkntpwd/mkntpwd %{buildroot}%{_sbindir}/
install -m0644 smbldap-*.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CONTRIBUTORS COPYING ChangeLog INFRA INSTALL README TODO doc
%doc smb.conf smbldap.conf smbldap_bind.conf configure.pl
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/smbldap-tools/smbldap_bind.conf
%attr(0755,root,root) %{_sbindir}/mkntpwd
%attr(0755,root,root) %{_sbindir}/smbldap-groupadd
%attr(0755,root,root) %{_sbindir}/smbldap-groupdel
%attr(0755,root,root) %{_sbindir}/smbldap-groupmod
%attr(0755,root,root) %{_sbindir}/smbldap-groupshow
%attr(0755,root,root) %{_sbindir}/smbldap-passwd
%attr(0755,root,root) %{_sbindir}/smbldap-populate
%attr(0755,root,root) %{_sbindir}/smbldap-useradd
%attr(0755,root,root) %{_sbindir}/smbldap-userdel
%attr(0755,root,root) %{_sbindir}/smbldap-usermod
%attr(0755,root,root) %{_sbindir}/smbldap-userinfo
%attr(0755,root,root) %{_sbindir}/smbldap-usershow
%attr(0644,root,root) %{perl_vendorlib}/smbldap_tools.pm
%attr(0644,root,root) %{_mandir}/man1/smbldap-groupadd.1*
%attr(0644,root,root) %{_mandir}/man1/smbldap-groupdel.1*
%attr(0644,root,root) %{_mandir}/man1/smbldap-groupmod.1*
%attr(0644,root,root) %{_mandir}/man1/smbldap-groupshow.1*
%attr(0644,root,root) %{_mandir}/man1/smbldap-passwd.1*
%attr(0644,root,root) %{_mandir}/man1/smbldap-populate.1*
%attr(0644,root,root) %{_mandir}/man1/smbldap-useradd.1*
%attr(0644,root,root) %{_mandir}/man1/smbldap-userdel.1*
%attr(0644,root,root) %{_mandir}/man1/smbldap-userinfo.1*
%attr(0644,root,root) %{_mandir}/man1/smbldap-usermod.1*
%attr(0644,root,root) %{_mandir}/man1/smbldap-usershow.1*


%changelog
* Wed Aug 01 2007 Andreas Hasenack <andreas@mandriva.com> 0.9.2-4mdv2008.0
+ Revision: 57798
- use userCN for display name attribute: it contains the
  accented characters of the user name, if any (and gecos,
  which was being used before, doesn't)

* Mon Jul 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-3mdv2008.0
+ Revision: 50633
- fix url (idealx is gone?)
- add some man pages and add build deps for it (perl-doc)
- fix some annoying referals to /opt/idealx in some files


* Wed Jul 26 2006 Andreas Hasenack <andreas@mandriva.com> 0.9.2-2mdv2007.0
+ Revision: 42099
- using "account" instead of "inetOrgPerson" for the structural
  objectClass for computer accounts (#23921)
- import smbldap-tools-0.9.2-1mdk

* Thu Jan 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-1mdk
- 0.9.2

* Tue Oct 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-3mdk
- fix #19316

* Mon Sep 19 2005 Buchan Milne <bgmilne@mandriva.org> 0.9.1-2mdk
- reapply changes as when shipped with samba to match our default smb.conf,
  LDAP layout, OpenLDAP ACLs, and default nss_ldap behaviour.

* Wed Jun 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1mdk
- 0.9.1
- nuke redundant P0

* Thu Apr 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.8-1mdk
- 0.8.8
- use the macromdv2007.1- rediff P0

* Thu Feb 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-5mdk
- nuke compat softlinks

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-4mdk
- provide compat softlinks

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-3mdk
- provide mkntpwd (from older smbldap-tools source)

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-2mdk
- put the *.pm file in /usr/lib/perl5/vendor_perl/5.8.8/ (buchan)

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.7-1mdk
- initial Mandrakelinux package
- used parts of the provided spec file
- added P0

